package org.dromara.zhishu.domain.dto;

import lombok.Data;
import org.dromara.zhishu.domain.ZhishuShopGoods;
import org.springframework.beans.BeanUtils;

@Data
public class KongfzShopDto {
    //商品编号
    private Long itemId;
    //商品审核状态，上架商品时，商品审核状态会修改为待审核，需要重新审核通过后才可以出售
    private String certifyStatus;
    //上架时间戳
    private String beginSaleTime;
    //更新时间
    private String updateTime;
    //下架时间戳。系统默认的一个很大的时间戳
    private String endSaleTime;
    //上下架状态。1：上架；0：下架
    private Integer isOnSale;
    // 转换方法
    public static KongfzShopDto fromEntity(ZhishuShopGoods zs) {
        KongfzShopDto dto = new KongfzShopDto();
        BeanUtils.copyProperties(zs, dto);
        dto.setIsOnSale(1); // 默认上架状态
        return dto;
    }
}
